Switch to 1.4.0 docker images for provisioner